/****************************************************************************
 This is the installation program for the AVARICE BETA5.

 COPYRIGHT:     (C) 1996 Copyright Continuous Software Systems, L.L.C.
                 All Rights Reserved
 ***************************************************************************/

Trace 'O'
Address CMD
'@ECHO OFF'

call RxFuncAdd 'SysSetIcon', 'RexxUtil', 'SysSetIcon'
call RxFuncAdd 'SysDriveMap', 'RexxUtil', 'SysDriveMap'
call RxFuncAdd 'SysCls', 'RexxUtil', 'SysCls'
call RxFuncAdd 'SysMkDir', 'RexxUtil', 'SysMkDir'
call RxFuncAdd 'SysCreateObject', 'RexxUtil', 'SysCreateObject'

say "Avarice Beta5 Installation, January 1996"
say "-----------------------------------------------------"
say
say

say "Available drives are:"
drivelist = SysDriveMap()
say drivelist

say "What drive letter is your CDROM (example, d:)?  "
pull cddrive

if WORDPOS(cddrive, drivelist) = 0 then
  do
    say "You must enter a proper drive letter with colon."
    exit
  end

unzip avbeta5.zip
del avarice.i
call CreateAvariceI

exit

CreateAvariceI:
   datafile = "avarice.i"

   foo = LINEOUT( datafile, '#' )
   foo = LINEOUT( datafile, "#" )
   foo = LINEOUT( datafile, "CDDrive "cddrive )
   foo = LINEOUT( datafile, "SoundDirectory "cddrive )
   foo = LINEOUT( datafile, "VideoDirectory "cddrive )
   foo = LINEOUT( datafile, "MBmpDirectory "cddrive )
   foo = LINEOUT( datafile, "SoundVolume 80" )
   foo = LINEOUT( datafile, "MusicVolume 50" )
   foo = LINEOUT( datafile, "MoviesOn 1" )
   foo = LINEOUT( datafile, "ImageCachingOn 1" )
   foo = LINEOUT( datafile, "PainterSize 100" )
   foo = LINEOUT( datafile, "LoggerBackground logger1" )
   foo = LINEOUT( datafile, "PillowBackground pillow1" )
   foo = LINEOUT( datafile, "LiaisonBackground liaison3" )
   foo = LINEOUT( datafile, "MTextColor 1" )
   foo = LINEOUT( datafile, "PTTextColor 3" )
   foo = LINEOUT( datafile, "PopupBackground popup1" )
   foo = LINEOUT( datafile, "LoggerScrollBuffer 25" )
   foo = LINEOUT( datafile, "PillowTitleOn 1" )
   foo = LINEOUT( datafile, "LoggerPillowTimeout 4" )
   foo = LINEOUT( datafile, "LoggerDoubleSpace 1" )
   foo = LINEOUT( datafile, "CaptionsOn 0" )
   foo = LINEOUT( datafile, "MenuOn 0" )
   foo = LINEOUT( datafile, "AnimsOn 1" )
   foo = LINEOUT( datafile, "Preview 0" )
   foo = LINEOUT( datafile, "DoOnePass 0" )
   foo = LINEOUT( datafile, "DitherType 2" )
   foo = LINEOUT( datafile, "DoColor 1" )
   foo = LINEOUT( datafile, "CacheSize 5" )
   foo = LINEOUT( datafile, "ImageQuality 2" )
   foo = LINEOUT( datafile, "UsingJPG 1" )
   foo = LINEOUT( datafile, "JPGSize 1" )
   foo = LINEOUT( datafile, "FlushOnChange 0" )
   foo = LINEOUT( datafile, "Quantize 1" )
   foo = LINEOUT( datafile, "#" )
   foo = LINEOUT( datafile, "#" )

   foo = LINEOUT( datafile )
return
